- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
WPS8TableInternal::Cell Struct Reference

Internal: class to store a basic cell with borders. More...

Inheritance diagram for WPS8TableInternal::Cell:

## Public Member Functions
| Cell (WPS8Table &parser)
| constructor More...
virtual | ~Cell ()
| virtual destructor More...
virtual bool | send (WPSContentListenerPtr &listener)
| call when a cell must be send More...
virtual bool | sendContent (WPSContentListenerPtr &)
| call when the content of a cell must be send More...
Public Member Functions inherited from WPSCell
| WPSCell ()
| constructor More...
void | setBox (Box2f const &b)
| set the bounding box (units in point) More...
Box2f const & | box () const
| return the bounding box More...
bool | isVerticalSet () const
| returns true if the vertical is fixed More...
void | setVerticalSet (bool verticalSet)
| fixes or not the vertical size More...
Vec2i & | position ()
| position accessor More...
Vec2i const & | position () const
| position accessor More...
void | setPosition (Vec2i posi)
| set the cell positions : 0,0 -> A1, 0,1 -> A2 More...
Vec2i const & | numSpannedCells () const
| returns the number of spanned cells More...
void | setNumSpannedCells (Vec2i numSpanned)
| sets the number of spanned cells : Vec2i(1,1) means 1 cellule More...
Public Member Functions inherited from WPSCellFormat
| WPSCellFormat ()
| constructor More...
virtual | ~WPSCellFormat ()
HorizontalAlignment | hAlignement () const
| returns the horizontal alignement More...
void | setHAlignement (HorizontalAlignment align)
| sets the horizontal alignement More...
bool | hasBorders () const
| return true if the cell has some border More...
std::vector< WPSBorder > const & | borders () const
| return the cell border: libwps::LeftBit | ... More...
void | resetBorders ()
| reset the border More...
void | setBorders (int wh, WPSBorder const &border)
| sets the cell border: wh=WPSBorder::LeftBit|... More...
uint32_t | backgroundColor () const
| returns the background color More...
void | setBackgroundColor (uint32_t color)
| set the background color More...
int | compare (WPSCellFormat const &cell) const
| a comparison function More...

## Public Attributes
WPS8Table & | m_tableParser
| the actual parser More...
int | m_id
| the cell id More...
int | m_strsId
| the strsId More...
Vec2f | m_size
| frame size in inches More...
float | m_bordersSep [4]
| border text separator T,L,R,B ( checkme, not sure ) More...

## Friends
std::ostream & | operator<< (std::ostream &o, Cell const &cell)
| operator<< More...

## Additional Inherited Members
Public Types inherited from WPSCellFormat
enum | HorizontalAlignment { HALIGN_LEFT, HALIGN_RIGHT, HALIGN_CENTER, HALIGN_FULL, HALIGN_DEFAULT }
| the default horizontal alignement. More...
Protected Attributes inherited from WPSCell
Box2f | m_box
| the cell bounding box (unit in point) More...
bool | m_verticalSet
| true if y size is fixed More...
Vec2i | m_position
| the cell row and column : 0,0 -> A1, 0,1 -> A2 More...
Vec2i | m_numberCellSpanned
| the cell spanned : by default (1,1) More...

## Detailed Description

Internal: class to store a basic cell with borders.

## Constructor & Destructor Documentation

WPS8TableInternal::Cell::Cell | ( | WPS8Table & | parser | ) |
| inline

constructor

virtual WPS8TableInternal::Cell::~Cell | ( |  | ) |
| inline virtual

virtual destructor

## Member Function Documentation

virtual bool WPS8TableInternal::Cell::send | ( | WPSContentListenerPtr & | listener | ) |
| inline virtual

call when a cell must be send

Implements WPSCell.

virtual bool WPS8TableInternal::Cell::sendContent | ( | WPSContentListenerPtr & |  | ) |
| inline virtual

call when the content of a cell must be send

Implements WPSCell.

Referenced by send().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Cell const & | cell
| ) |  |
| friend

operator<<

## Member Data Documentation

float WPS8TableInternal::Cell::m_bordersSep[4]

border text separator T,L,R,B ( checkme, not sure )

Referenced by Cell(), and WPS8TableInternal::operator<<().

int WPS8TableInternal::Cell::m_id

the cell id

Referenced by sendContent().

Vec2f WPS8TableInternal::Cell::m_size

frame size in inches

Referenced by WPS8TableInternal::operator<<().

int WPS8TableInternal::Cell::m_strsId
| mutable

the strsId

Referenced by sendContent().

WPS8Table& WPS8TableInternal::Cell::m_tableParser

the actual parser

Referenced by sendContent().

The documentation for this struct was generated from the following file:

- WPS8Table.cpp